- entityDefinitions:
  - IDR_Tenant__has_login_header__Translation: "{41D66ACB-AFDE-4B6F-892D-E66255F10DEB}"
  - IDR_Translation__login_header_for__Tenant: "{c17cb672-22e1-43b7-af67-79175200631b}"
  - IDR_Tenant__has_login_footer__Translation: "{A6203B6B-5BEB-4008-AE49-DB5E7DDBA45B}"
  - IDR_Translation__login_footer_for__Tenant: "{5d4c15f9-fa08-4369-99df-585e1adfc9e4}"
  
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_Tenant;'
    name: 'Tenant'
    index: 361
    abstract: no
    sealed: yes
    customTagName: 'tenant'

  - tenant: '&IDI_Tenant_Singleton;'
    index: 1
    
  - relationship: '&IDR_Tenant__has__Application;'
    sourceClassId: '&IDC_Tenant;'
    type: 'has'
    destinationClassId: '&IDC_Application;'
    siblingRelationshipId: '&IDR_Application__for__Tenant;'
    singular: yes

  - relationship: '&IDR_Application__for__Tenant;'
    sourceClassId: '&IDC_Application;'
    type: 'for'
    destinationClassId: '&IDC_Tenant;'
    siblingRelationshipId: '&IDR_Tenant__has__Application;'
    singular: no

  - relationship: '&IDR_Tenant__has_login_header__Translation;'
    sourceClassId: '&IDC_Tenant;'
    type: 'has login header'
    destinationClassId: '&IDC_Translation;'
    siblingRelationshipId: '&IDR_Translation__login_header_for__Tenant;'
    singular: yes

  - relationship: '&IDR_Translation__login_header_for__Tenant;'
    sourceClassId: '&IDC_Translation;'
    type: 'login header for'
    destinationClassId: '&IDC_Tenant;'
    siblingRelationshipId: '&IDR_Tenant__has_login_header__Translation;'
    singular: no

  
  - relationship: '&IDR_Tenant__has_login_footer__Translation;'
    sourceClassId: '&IDC_Tenant;'
    type: 'has login footer'
    destinationClassId: '&IDC_Translation;'
    siblingRelationshipId: '&IDR_Translation__login_footer_for__Tenant;'
    singular: yes

  - relationship: '&IDR_Translation__login_footer_for__Tenant;'
    sourceClassId: '&IDC_Translation;'
    type: 'login footer for'
    destinationClassId: '&IDC_Tenant;'
    siblingRelationshipId: '&IDR_Tenant__has_login_footer__Translation;'
    singular: no

